
package com.sf.common.utils;


import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import lombok.experimental.UtilityClass;
import lombok.extern.slf4j.Slf4j;


/**
 *
 * @author zoukun
 */
@Slf4j
@UtilityClass
public class JSONUtils {

	/**
	 * 判断是否为JSONObject
	 * @param obj instanceof String ? parseObject
	 * @return
	 */
	public static boolean isJSONObject(Object obj) {
		if (obj instanceof JSONObject) {
			return true;
		}
		if (obj instanceof String) {
			try {
				JSONObject json = JSON.parseObject((String) obj);
				return json != null;
			} catch (Exception e) {
				log.error( "JSONUtils.isJSONObject  catch \n" + e.getMessage());
			}
		}

		return false;
	}
	/**
	 * 判断是否为JSONArray
	 * @param obj instanceof String ? parseArray
	 * @return
	 */
	public static boolean isJSONArray(Object obj) {
		if (obj instanceof JSONArray) {
			return true;
		}
		if (obj instanceof String) {
			try {
				JSONArray json = JSON.parseArray((String) obj);
				return json != null;
			} catch (Exception e) {
				log.error("JSONUtils.isJSONArray  catch \n" + e.getMessage());
			}
		}

		return false;
	}

}
