package com.sf.service.index.utils;

import com.sf.common.utils.http.RequestUtils;
import com.sf.service.exception.AppCodeNotFoundException;
import io.netty.handler.codec.HeadersUtils;
import lombok.experimental.UtilityClass;
import lombok.extern.slf4j.Slf4j;
import org.apache.tomcat.util.http.HeaderUtil;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;
import org.springframework.util.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * 功能描述: 应用工具类
 *
 * @author a_kun
 * @date 2024/4/22 15:48
 */
@Slf4j
@UtilityClass
public class AppUtils {

    private static final String APP_CODE = "appCode";

    private static final int APP_CODE_NOT_FOUND_ERROR_CODE = 4030;

    public static String getAppCodeFromRequestHeader() {
        String appCode = RequestUtils.getHeader(APP_CODE);
        if (StringUtils.hasText(appCode)) {
            return appCode;
        }
        throw new AppCodeNotFoundException("AppCode Not found", APP_CODE_NOT_FOUND_ERROR_CODE);
    }


}
